# DataExchange
TKSTEPBase
StepRepr

# StepRepr_GlobalUnitAssignedContext Class Reference

`#include <StepRepr_GlobalUnitAssignedContext.hxx>`

Inheritance diagram for StepRepr_GlobalUnitAssignedContext:

[legend]

## Public Member Functions

Standard_EXPORT | StepRepr_GlobalUnitAssignedContext ()
| Returns a GlobalUnitAssignedContext .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aContextIdentifier, const Handle(TCollection_HAsciiString)&aContextType)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aContextIdentifier, const Handle(TCollection_HAsciiString)&aContextType, const Handle(StepBasic_HArray1OfNamedUnit)&aUnits)
Standard_EXPORT void | SetUnits (const Handle(StepBasic_HArray1OfNamedUnit)&aUnits)
Standard_EXPORT Handle_StepBasic_HArray1OfNamedUnit | Units () const
Standard_EXPORT Handle_StepBasic_NamedUnit | UnitsValue (const Standard_Integer num) const
Standard_EXPORT Standard_Integer | NbUnits () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepBasic_HArray1OfNamedUnit | units

## Constructor & Destructor Documentation

Standard_EXPORT StepRepr_GlobalUnitAssignedContext::StepRepr_GlobalUnitAssignedContext | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepRepr_GlobalUnitAssignedContext::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepRepr_RepresentationContext.

virtual Standard_EXPORT void StepRepr_GlobalUnitAssignedContext::Init | ( | const Handle(TCollection_HAsciiString)& | aContextIdentifier,
|  | const Handle(TCollection_HAsciiString)& | aContextType,
|  | const Handle(StepBasic_HArray1OfNamedUnit)& | aUnits
| ) | `[virtual]`

virtual Standard_EXPORT void StepRepr_GlobalUnitAssignedContext::Init | ( | const Handle(TCollection_HAsciiString)& | aContextIdentifier,
|  | const Handle(TCollection_HAsciiString)& | aContextType
| ) | `[virtual]`

| Reimplemented from StepRepr_RepresentationContext.

Standard_EXPORT Standard_Integer StepRepr_GlobalUnitAssignedContext::NbUnits | ( |  | ) | const

Standard_EXPORT void StepRepr_GlobalUnitAssignedContext::SetUnits | ( | const Handle(StepBasic_HArray1OfNamedUnit)& | aUnits | ) |

Standard_EXPORT Handle_StepBasic_HArray1OfNamedUnit StepRepr_GlobalUnitAssignedContext::Units | ( |  | ) | const

Standard_EXPORT Handle_StepBasic_NamedUnit StepRepr_GlobalUnitAssignedContext::UnitsValue | ( | const Standard_Integer | num | ) | const

## Field Documentation

Handle_StepBasic_HArray1OfNamedUnit StepRepr_GlobalUnitAssignedContext::units `[private]`

The documentation for this class was generated from the following file:

- StepRepr_GlobalUnitAssignedContext.hxx